@import '~@angular/material/theming';
@mixin task-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);

  .task__planning {
    border: 2px solid mat-color($primary, 400);
  }

  .task__in-progress {
    border: 2px solid mat-color($accent, 400);
  }

  .task__done {
    border: 2px solid mat-color($warn, 400);
  }
}
